import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is a white blood cell. This kind of cell has the job to catch 
 * battery and remove them from the blood.
 * 
 * @author Michael Kölling
 * @version 0.1
 */
public class Spaceship extends Actor
{
   private int score;
   
    /**
     * Act: move up and down when cursor keys are pressed.
     */
    public void act() 
    {
        checkKeyPress();
        checkCollision();
   }
   
    /**
     * Check whether a keyboard key has been pressed and react if it has.
     */
    private void checkKeyPress()
    {
        if (Greenfoot.isKeyDown("up")) 
        {
            setLocation(getX(), getY()-4);
        }
        
        if (Greenfoot.isKeyDown("down")) 
        {
            setLocation(getX(), getY()+4);
        }
        if (Greenfoot.isKeyDown("left")) 
        {
            setLocation(getX()-4, getY());
        }
        
        if (Greenfoot.isKeyDown("right")) 
        {
            setLocation(getX()+4, getY());
        }
    }
    private void checkCollision()
    {
        if ( isTouching(Battery.class) )
        {
            removeTouching(Battery.class);
            Greenfoot.playSound("electric.wav");
            Galaxy galaxy = (Galaxy)getWorld();
            galaxy.addScore(20);
            
          
            
        }
       
        if ( isTouching(Meteor.class) )
        {
            removeTouching(Meteor.class);
            Greenfoot.playSound("bam.wav");
            Galaxy galaxy = (Galaxy)getWorld();
            galaxy.addScore(-100);
            
        }
    }      
   
       
   
}  
        
    
    

